package org.dataone.service.types.tidy;

import java.util.HashMap;
import java.util.Map;
import java.util.Map.Entry;
import java.util.Set;

import org.dataone.service.types.v1.AccessPolicy;
import org.dataone.service.types.v1.Permission;
import org.dataone.service.types.v1.Subject;
import org.dataone.service.types.v1.util.AccessUtil;

public class TidyAccessMap {
	
	private Map<String,String> subjectPerms;
	
	public TidyAccessMap(AccessPolicy ap) {
		
		subjectPerms = new HashMap<String,String>();
		
		Map<Subject,Set<Permission>> pMap = AccessUtil.getPermissionMap(ap);
		
		for (Entry<Subject, Set<Permission>> entry : pMap.entrySet()) {
			
			subjectPerms.put(entry.getKey().getValue(),
					getMaxPermission(entry.getValue()).xmlValue());
		}
		
	}
	
	protected Permission getMaxPermission(Set<Permission> perms) {
		
		if (perms.contains(Permission.CHANGE_PERMISSION)) {
			return Permission.CHANGE_PERMISSION;
		}		
		if (perms.contains(Permission.WRITE)) {
			return Permission.WRITE;
		}		
		if (perms.contains(Permission.READ)) {
			return Permission.READ;
		}
		return null;
	}
	
	public Map<String,String> getMaxPermissionMap() {
		return subjectPerms;
	}

}
