--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: merged_smreplicationpolicy; Type: TABLE; Schema: public; Owner: metacat; Tablespace: 
--

DROP TABLE IF EXISTS smreplicationpolicy; CREATE TABLE smreplicationpolicy (
    guid text,
    member_node VARCHAR(250),
    policy text
);


ALTER TABLE public.smreplicationpolicy OWNER TO metacat;

--
-- Name: merged_smreplicationstatus; Type: TABLE; Schema: public; Owner: metacat; Tablespace: 
--

DROP TABLE IF EXISTS smreplicationstatus; CREATE TABLE smreplicationstatus (
    guid text,
    member_node VARCHAR(250),
    status VARCHAR(250),
    date_verified TIMESTAMP
);


ALTER TABLE public.smreplicationstatus OWNER TO metacat;

--
-- Name: merged_systemmetadata; Type: TABLE; Schema: public; Owner: metacat; Tablespace: 
--

DROP TABLE IF EXISTS systemmetadata; CREATE TABLE systemmetadata (
    guid text NOT NULL,
    serial_version VARCHAR(256),
    date_uploaded TIMESTAMP,
    rights_holder VARCHAR(250),
    checksum VARCHAR(512),
    checksum_algorithm VARCHAR(250),
    origin_member_node VARCHAR(250),
    authoritive_member_node VARCHAR(250),
    date_modified TIMESTAMP,
    submitter VARCHAR(256),
    object_format VARCHAR(256),
    size VARCHAR(256),
    archived boolean,
    replication_allowed boolean,
    number_replicas INT8,
    obsoletes text,
    obsoleted_by text
);


ALTER TABLE public.systemmetadata OWNER TO metacat;

--
-- Name: merged_xml_access; Type: TABLE; Schema: public; Owner: metacat; Tablespace: 
--

DROP TABLE IF EXISTS xml_access; CREATE TABLE xml_access (
    guid text,
    accessfileid text,
    principal_name VARCHAR(100),
    permission INT8,
    perm_type VARCHAR(32),
    perm_order VARCHAR(32),
    begin_time date,
    end_time date,
    ticket_count INT8,
    subtreeid VARCHAR(32),
    startnodeid INT8,
    endnodeid INT8,
    CONSTRAINT xml_access_ck CHECK ((begin_time < end_time))
);


ALTER TABLE public.xml_access OWNER TO metacat;


ALTER TABLE ONLY systemmetadata
    ADD CONSTRAINT systemmetadata_pk PRIMARY KEY (guid);

--
-- Name: merged_xml_access_idx1; Type: INDEX; Schema: public; Owner: metacat; Tablespace: 
--

CREATE INDEX xml_access_idx1 ON xml_access USING btree (lower(principal_name));


--
-- Name: merged_xml_access_idx2; Type: INDEX; Schema: public; Owner: metacat; Tablespace: 
--

CREATE INDEX xml_access_idx2 ON xml_access USING btree (permission);


--
-- Name: merged_xml_access_idx3; Type: INDEX; Schema: public; Owner: metacat; Tablespace: 
--

CREATE INDEX xml_access_idx3 ON xml_access USING btree (perm_type);


--
-- Name: merged_xml_access_idx4; Type: INDEX; Schema: public; Owner: metacat; Tablespace: 
--

CREATE INDEX xml_access_idx4 ON xml_access USING btree (perm_order);


--
-- Name: merged_xml_access_idx5; Type: INDEX; Schema: public; Owner: metacat; Tablespace: 
--

CREATE INDEX xml_access_idx5 ON xml_access USING btree (subtreeid);


--
-- Name: merged_xml_access_idx6; Type: INDEX; Schema: public; Owner: metacat; Tablespace: 
--

CREATE INDEX xml_access_idx6 ON xml_access USING btree (guid);


--
-- Name: merged_smreplicationpolicy_fk; Type: FK CONSTRAINT; Schema: public; Owner: metacat
--

ALTER TABLE ONLY smreplicationpolicy
    ADD CONSTRAINT smreplicationpolicy_fk FOREIGN KEY (guid) REFERENCES systemmetadata(guid) DEFERRABLE;


--
-- Name: merged_smreplicationstatus_fk; Type: FK CONSTRAINT; Schema: public; Owner: metacat
--

ALTER TABLE ONLY smreplicationstatus
    ADD CONSTRAINT smreplicationstatus_fk FOREIGN KEY (guid) REFERENCES systemmetadata(guid) DEFERRABLE;


--
-- PostgreSQL database dump complete
--

